#pragma once
#include <SFML/Graphics.hpp>

class IWindowKeeper {
public:
    IWindowKeeper(const sf::VideoMode& video_mode, const sf::String& window_title) {};
    virtual ~IWindowKeeper() = default;
protected:
    virtual void event_handling() = 0;
    virtual void update() = 0;
    virtual void render() = 0;
    sf::RenderWindow m_window;
};